Reverse Example |
Using Programming Languages other than VBA
Sub Example_Reverse() ' This example creates a spline in model space. ' It then reverses the spline and therefore the ' control point data. Dim splineObj As AcadSpline Dim startTan(0 To 2) As Double Dim endTan(0 To 2) As Double Dim fitPoints(0 To 8) As Double Dim msg As String startTan(0) = 0.5: startTan(1) = 0.5: startTan(2) = 0 endTan(0) = 0.5: endTan(1) = 0.5: endTan(2) = 0 fitPoints(0) = 0: fitPoints(1) = 0: fitPoints(2) = 0 fitPoints(3) = 5: fitPoints(4) = 5: fitPoints(5) = 0 fitPoints(6) = 10: fitPoints(7) = 0: fitPoints(8) = 0 Set splineObj = ThisDrawing.ModelSpace.AddSpline(fitPoints, startTan, endTan) ZoomAll GoSub GETPOINTS MsgBox "Before the reverse the first control point is " & msg ' Reverse the Spline and therefore control point data splineObj.Reverse ThisDrawing.Regen True GoSub GETPOINTS MsgBox "After the reverse the first control point is " & msg Exit Sub
GETPOINTS: msg = "" ' Get the coordinates from the first control point again Dim count As Integer For count = 0 To 2 msg = msg & splineObj.GetControlPoint(0)(count) & ", " Next msg = VBA.Left(msg, Len(msg) - 2) Return End Sub
Comments? |